io.agora.rtc

## Enum Constants.AIAecSuppressionMode

- java.lang.Object
- - java.lang.Enum<Constants.AIAecSuppressionMode>
  - - io.agora.rtc.Constants.AIAecSuppressionMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Constants.AIAecSuppressionMode>
  Enclosing class:
    Constants

      public static enum Constants.AIAecSuppressionMode
      extends java.lang.Enum<Constants.AIAecSuppressionMode>

  The AIAEC Suppression Mode.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CHAT_MODE` ChatMode: (Default) AIAec chat mode, which has an aggressive suppression level.
    `PERFECT_SING_MODE` PerfectSingMode: AIAec sing mode, which has a minor suppression level.
    `SING_MODE` SingMode: AIAec sing mode, which has a mild suppression level.
    `SUPPER_SING_MODE` SupperSingMode: AIAec sing mode, which has a super mild suppression level.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `value` Integer value of the AIAEC suppression mode

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Constants.AIAecSuppressionMode` | `fromInt(int value)` Converts an integer value to its corresponding AIAecSuppressionMode enum constant.
    `int` | `getValue()` Gets the integer value of the AIAecSuppressionMode.
    `static Constants.AIAecSuppressionMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Constants.AIAecSuppressionMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CHAT_MODE

          public static final Constants.AIAecSuppressionMode CHAT_MODE

      ChatMode: (Default) AIAec chat mode, which has an aggressive suppression level.

    - #### SING_MODE

          public static final Constants.AIAecSuppressionMode SING_MODE

      SingMode: AIAec sing mode, which has a mild suppression level.

    - #### SUPPER_SING_MODE

          public static final Constants.AIAecSuppressionMode SUPPER_SING_MODE

      SupperSingMode: AIAec sing mode, which has a super mild suppression level.

    - #### PERFECT_SING_MODE

          public static final Constants.AIAecSuppressionMode PERFECT_SING_MODE

      PerfectSingMode: AIAec sing mode, which has a minor suppression level.

  - ### Field Detail

    - #### value

          private final int value

      Integer value of the AIAEC suppression mode

  - ### Method Detail

    - #### values

          public static Constants.AIAecSuppressionMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.AIAecSuppressionMode c : Constants.AIAecSuppressionMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.AIAecSuppressionMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Gets the integer value of the AIAecSuppressionMode.
      Returns:
        The integer value.

    - #### fromInt

          public static Constants.AIAecSuppressionMode fromInt(int value)

      Converts an integer value to its corresponding AIAecSuppressionMode enum constant.
      Parameters:
        `value` - The integer value.
      Returns:
        The corresponding AIAecSuppressionMode, or null if the value is not found.